/****************************************************************************************************

		IMasterInstanceListPart.h
		Copyright: (c) 2001 Eovia Corp. All rights reserved.

		Author:	charles
		Date:	5/25/2005

****************************************************************************************************/

#ifndef __IMasterInstanceListPart__
#define __IMasterInstanceListPart__

#if CP_PRAGMA_ONCE
#pragma once
#endif

//****** Forward Declarations ************************************************

struct I3DShMaster;



//****** Globally Unique Ids *************************************************

MCDEFINE_GUID_H(IID_IMasterInstanceListPart);


// ****************************************************************************
//								IMasterInstanceListPart
// 
// -Description:
//
// This is used to access the master instance list part part used in the properties of
// masters (object and shader) ('InsL' part extension).
//
struct IMasterInstanceListPart: public IMCUnknown
{
	virtual void	 MCCOMAPI SetMaster(I3DShMaster* master) = 0;
};


#endif
