/****************************************************************************************

		ImageAPITypes.h

		Copyright: (c) 2001 Eovia Corp. All rights reserved.
	
		Author:	Nicolas
		Date:	11/23/99

		Revision History

		when		who			what & why
		==========	==========	======================================================

*****************************************************************************************/

#ifndef __ImageAPITypes__
#define __ImageAPITypes__

#if CP_PRAGMA_ONCE
#pragma once
#endif

#include "MCBasicTypes.h"


/// Options for the loading and saving of images
///
struct TPSIOParameter
{
	boolean			fChunkyMode;					///< load image as chunks (rgbargba...) or as planes (rrr...r, ggg...)
	//boolean			fForce16BitPerChannelMode;		///< uses 16 bits for each color chanel


	// default values
	TPSIOParameter(boolean chunkyMode= false) //, boolean force16BitPerChannelMode= false)
	{
		fChunkyMode	= chunkyMode;
		//fForce16BitPerChannelMode = force16BitPerChannelMode;
	}
};

#endif

